> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Revenue Geographic Segments

> The Revenue Geographic Segments API allows users to retrieve revenue data segmented by geographical regions, helping investors and analysts understand the performance of a company in different markets.



## OpenAPI

````yaml /api-rest/openapi/openapi_structured_data.json post /v1/company-revenue-geographic-segments/query
openapi: 3.1.0
info:
  title: Bigdata Structured Data API
  description: Bigdata API documentation
  version: 1.0.0
servers:
  - url: https://api.bigdata.com/
security:
  - ApiKeyAuth: []
tags:
  - name: Market Data
    description: >-
      Market data endpoints including intraday prices, daily prices, price
      changes, and real-time quotes
  - name: Analyst Estimates
    description: >-
      Analyst estimates and ratings including analyst ratings, estimates, target
      prices, and earnings surprises
  - name: Financials & Ratios
    description: >-
      Financial statements and ratios including balance sheet, income statement,
      cash flow statement, key metrics TTM, and company ratios TTM
  - name: Company & Events
    description: >-
      Company information and events including company profile and events
      calendar
  - name: Fund Holdings
    description: >-
      Institutional fund holdings from SEC 13F filings including fund holdings
      and stock fund holdings
  - name: Knowledge Graph
    description: Corporate ownership and hierarchy data.
paths:
  /v1/company-revenue-geographic-segments/query:
    post:
      tags:
        - Financials & Ratios
      summary: Revenue Geographic Segments
      description: >-
        The Revenue Geographic Segments API allows users to retrieve revenue
        data segmented by geographical regions, helping investors and analysts
        understand the performance of a company in different markets.
      operationId: >-
        query_company_revenue_geographic_v1_company_revenue_geographic_segments_query_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PublicCompanyRevenueGeographicQuery'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicCompanyRevenueGeographicResponse'
components:
  schemas:
    PublicCompanyRevenueGeographicQuery:
      properties:
        identifier:
          $ref: '#/components/schemas/SingleIdentifier'
          description: >-
            Object specifying which identifier you are using to request the
            company revenue geographic data. You must supply one type and its
            corresponding value.
          examples:
            - type: rp_entity_id
              value: D8442A
        period:
          $ref: '#/components/schemas/AllowedPeriods'
          description: >-
            Select whether the company revenue geographic data to be provided
            are on an annual or quarterly basis.
          default: quarter
          examples:
            - quarter
      type: object
      required:
        - identifier
      title: PublicCompanyRevenueGeographicQuery
    PublicCompanyRevenueGeographicResponse:
      properties:
        results:
          anyOf:
            - $ref: '#/components/schemas/CompanyRevenueGeographic'
            - additionalProperties: true
              type: object
          title: Results
        errors:
          anyOf:
            - items:
                $ref: '#/components/schemas/ErrorDetail'
              type: array
            - type: 'null'
          title: Errors
        metadata:
          anyOf:
            - $ref: '#/components/schemas/Metadata'
            - type: 'null'
      type: object
      required:
        - results
      title: PublicCompanyRevenueGeographicResponse
    SingleIdentifier:
      properties:
        type:
          $ref: '#/components/schemas/IdentifierType'
          description: >-
            Object specifying which identifier you are using to request the
            intraday price. You must supply one type and its corresponding
            value. Only one identifier should be provided per request.
          examples:
            - rp_entity_id
        value:
          type: string
          title: Value
          description: >-
            Bigdata uses the RavenPack Entity identifier (RP_Entity_ID) to
            uniquely reference entities such as companies. This identifier is a
            6-character alphanumeric code (letters and numbers only). Example:
            Alphabet Inc. (`4A6F00`)
          examples:
            - 4A6F00
      type: object
      required:
        - type
        - value
      title: SingleIdentifier
    AllowedPeriods:
      type: string
      enum:
        - annual
        - quarter
      title: AllowedPeriods
    CompanyRevenueGeographic:
      properties:
        rp_entity_id:
          type: string
          title: Rp Entity Id
          description: The RavenPack entity ID of the company.
          examples:
            - 4A6F00
        target_identifier_id:
          type: string
          title: Target Identifier Id
          description: The target identifier ID of the company.
          examples:
            - GOOGL
        fields:
          items:
            type: string
            enum:
              - FISCAL_YEAR
              - PERIOD
              - REPORTED_CURRENCY
              - REGION_SEGMENTS
          type: array
          title: Fields
          description: The fields of the company revenue geographic data.
          examples:
            - - FISCAL_YEAR
              - PERIOD
              - REPORTED_CURRENCY
              - REGION_SEGMENTS
        values:
          items:
            prefixItems:
              - anyOf:
                  - type: integer
                  - type: 'null'
              - anyOf:
                  - type: string
                  - type: 'null'
              - anyOf:
                  - type: string
                  - type: 'null'
              - anyOf:
                  - additionalProperties:
                      anyOf:
                        - type: integer
                        - type: 'null'
                    type: object
                  - type: 'null'
            type: array
            maxItems: 4
            minItems: 4
          type: array
          title: Values
          description: The values of the company revenue geographic data.
          examples:
            - - 2025
              - Q3
              - USD
              - Americas Segment: 41198000000
                Europe Segment: 24014000000
                Greater China Segment: 15369000000
                Japan Segment: 5782000000
                Rest of Asia Pacific Segment: 7673000000
      type: object
      required:
        - rp_entity_id
        - target_identifier_id
        - fields
        - values
      title: CompanyRevenueGeographic
    ErrorDetail:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
      type: object
      title: ErrorDetail
    Metadata:
      properties:
        request_id:
          type: string
          title: Request Id
        timestamp:
          type: string
          title: Timestamp
      type: object
      required:
        - request_id
      title: Metadata
    IdentifierType:
      type: string
      enum:
        - rp_entity_id
      title: IdentifierType
      default: rp_entity_id
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````